/*
 * Copyright (c) 2003-2005 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: log.h,v 1.1 2005/12/06 00:55:58 ca Exp $
 */

#ifndef LIBQMGR_LOG_H
#define LIBQMGR_LOG_H 1

#include "sm/generic.h"
#include "sm/log.h"

#if LIBQMGR_LOG_DEFINES
sm_logcategory_T libqmgr_lcats[] =
{
	{ "libqmgr", 	0 },
	{ NULL, 	0 }
};

sm_logmodule_T libqmgr_lmods[] =
{
	{ "rdibdb",	 	0 },
	{ NULL, 		0 }
};

#else /* LIBQMGR_LOG_DEFINES */

/* should these be global or per qmgr context? */
extern sm_logcategory_T libqmgr_lcats[];
extern sm_logmodule_T libqmgr_lmods[];

#endif /* LIBQMGR_LOG_DEFINES */

#define LIBQM_LCAT_LIB		(&libqmgr_lcats[0])

/* Backwards compatibility. */
#define LIBQM_LCAT_GENERAL	LIBQMGLOGCATEGORY_GENERAL

#define LIBQM_LMOD_RDIBDB	(&libqmgr_lmods[0])

#endif /* LIBQMGR_LOG_H */
