/*
 * Copyright (c) 2005 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 * $Id: tlscnf.h,v 1.2 2005/12/09 18:09:02 ca Exp $
 */

#ifndef TLSCNF_H
#define TLSCNF_H 1

#include "sm/generic.h"
#include "sm/types.h"

#if SM_USE_TLS

/* TLS configuration context */
typedef struct tls_cnf_S		tls_cnf_T, *tls_cnf_P;
struct tls_cnf_S
{
	const char	*tlscnf_certfile;
	const char	*tlscnf_keyfile;
	const char	*tlscnf_dsa_certfile;
	const char	*tlscnf_dsa_keyfile;
	const char	*tlscnf_cacertpath;
	const char	*tlscnf_cacertfile;
	const char	*tlscnf_dhparam;
	uint		 tlscnf_cache_size;
	uint		 tlscnf_cache_tmout;
};
#endif /* SM_USE_TLS */

#endif /* TLSCNF_H */
